net.sf.jasperreports.engine.fill

## Class JRFillChartDataset

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElementDataset
  - - net.sf.jasperreports.engine.fill.JRFillChartDataset

- All Implemented Interfaces:
    java.lang.Cloneable, JRChartDataset, JRCloneable, JRElementDataset
  Direct Known Subclasses:
    JRFillCategoryDataset, JRFillGanttDataset, JRFillHighLowDataset, JRFillPieDataset, JRFillTimePeriodDataset, JRFillTimeSeriesDataset, JRFillValueDataset, JRFillXyDataset, JRFillXyzDataset

      public abstract class JRFillChartDataset
      extends JRFillElementDataset
      implements JRChartDataset

  Version:
    $Id: JRFillChartDataset.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset

      `datasetRun, incrementGroup, parent, resetGroup`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillChartDataset(JRChartDataset dataset, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.jfree.data.general.Dataset` | `getCustomDataset()`
    `org.jfree.data.general.Dataset` | `getDataset()`
    `abstract java.lang.Object` | `getLabelGenerator()`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset

      `clone, customEvaluate, customIncrement, customInitialize, evaluate, evaluateDatasetRun, evaluateIncrementWhenExpression, getDatasetRun, getFillDataset, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getInputDataset, getResetGroup, getResetTypeValue, getTimeZone, increment, initialize, setBand`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `getDatasetType, validate`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRFillChartDataset

          protected JRFillChartDataset(JRChartDataset dataset,
                            JRFillObjectFactory factory)

  - ### Method Detail

    - #### getDataset

          public org.jfree.data.general.Dataset getDataset()

    - #### getCustomDataset

          public abstract org.jfree.data.general.Dataset getCustomDataset()

    - #### getLabelGenerator

          public abstract java.lang.Object getLabelGenerator()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com